<include file="public@header"/>
</head>
<body>
<div class="wrap js-check-wrap">
    <form method="post" class="js-ajax-form">
        <table class="table table-hover table-bordered table-list">
            <thead>
            <tr>
                <th>{:lang('FILE_NAME')}</th>
                <th>{:lang('OPERATION_NAME')}</th>
                <th>{:lang('FILE_PATH')}</th>
                <th>{:lang('DESCRIPTION')}</th>
                <th width="120">{:lang('ACTIONS')}</th>
            </tr>
            </thead>
            <tbody>
            <foreach name="files" item="vo">
                <tr>
                    <td>{$vo.name}</td>
                    <td>{$vo.action}</td>
                    <td>{$vo.file}.html</td>
                    <td>{$vo.description}</td>
                    <td>
                        <a href="javascript:;" data-file="{$vo.id}" data-title="{$vo.name} {$vo.file}.html"
                           onclick="openDesignDialog(this)">{:lang('DESIGN')}</a>
                    </td>
                </tr>
            </foreach>
            </tbody>
        </table>
    </form>
</div>
<script src="__STATIC__/js/admin.js"></script>
<script>
    function openDesignDialog(obj) {
        var $obj   = $(obj);
        var fileId = $obj.data('file');
        var title  = $obj.data('title');
        parent.openIframeLayer("{:url('theme/fileSetting')}?file_id=" + fileId, title, {
            area: ['700px', '90%'],
            btn: ['{:lang("OK")}', '{:lang("CANCEL")}'],
            yes: function (index, layero) {
                var iframeWin = parent.window[layero.find('iframe')[0]['name']];
                iframeWin.confirm();
                //layer.close(index); //如果设定了yes回调，需进行手工关闭
            }
        });
    }
</script>
</body>
</html>